org.apache.cassandra.index.internal

## Class CassandraIndexSearcher

- java.lang.Object
- - org.apache.cassandra.index.internal.CassandraIndexSearcher

All Implemented Interfaces:
  Index.Searcher

Direct Known Subclasses:
  CompositesSearcher, KeysSearcher

    public abstract class CassandraIndexSearcher
    extends java.lang.Object
    implements Index.Searcher

### Field Summary

Fields
`protected ReadCommand` `command`
`protected CassandraIndex` `index`

### Constructor Summary

Constructors
Constructor and Description
`CassandraIndexSearcher(ReadCommand command, RowFilter.Expression expression, CassandraIndex index)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected Clustering` `makeIndexClustering(java.nio.ByteBuffer rowKey, Clustering clustering)`
`protected abstract UnfilteredPartitionIterator` `queryDataFromIndex(DecoratedKey indexKey, RowIterator indexHits, ReadCommand command, ReadExecutionController executionController)`
`UnfilteredPartitionIterator` `search(ReadExecutionController executionController)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### index

    protected final CassandraIndex index

#### command

    protected final ReadCommand command

### Constructor Detail

#### CassandraIndexSearcher

    public CassandraIndexSearcher(ReadCommand command,
                                  RowFilter.Expression expression,
                                  CassandraIndex index)

### Method Detail

#### search

    public UnfilteredPartitionIterator search(ReadExecutionController executionController)

Specified by:
  `search` in interface `Index.Searcher`
Parameters:
  `executionController` - the collection of OpOrder.Groups which the ReadCommand is being performed under.
Returns:
  partitions from the base table matching the criteria of the search.

#### makeIndexClustering

    protected Clustering makeIndexClustering(java.nio.ByteBuffer rowKey,
                                             Clustering clustering)

#### queryDataFromIndex

    protected abstract UnfilteredPartitionIterator queryDataFromIndex(DecoratedKey indexKey,
                                                                      RowIterator indexHits,
                                                                      ReadCommand command,
                                                                      ReadExecutionController executionController)